import 'package:flutter/cupertino.dart';
import 'package:flutter_mylibrary/base/request_info.dart';
import 'package:flutter_mylibrary/config/const.dart';
import 'base_view_state.dart';

mixin BaseMixRequestModelController on BaseViewState{




  void requestWhenError(){
    if(viewState == ViewState.error){
      setBusy();
      refreshData();
    }
  }


  bool get isSync => false;


  @override
  RequestInfo getRequestInfo() {
    return null;
  }


  ///获取一个公共的刷新控件
  Widget buildEasyRefreshWidget({
    ScrollController scrollController,
    Widget footWidget,
    Widget emptyWidget,
    List<Widget> widgetList,
    Widget widget,
    Widget busyWidget,
    bool showErrorWidget = true,
    bool showEmptyWidget = true,
    bool showBusyWidget = true,
    Function onLoad,
    Function onRefresh,
  }){
    return buildBaseViewStateEasyRefresh(
        scrollController: scrollController,
        footWidget: footWidget,
        emptyWidget: emptyWidget,
        widget: widget,
        widgetList: widgetList,
        busyWidget: busyWidget,
        showBusyWidget: showBusyWidget,
        showEmptyWidget: showEmptyWidget,
        showErrorWidget: showErrorWidget,
        onLoad: onLoad,
        onRefresh: onRefresh??(){
          refreshData();
        }
    );
  }


}